bucket.register_liquid(
	"nalc_default:acid_source",
	"nalc_default:acid_flowing",
	"nalc_bucket:bucket_acid",
	"bucket_acid.png",
	"Acid Bucket",
	{not_in_creative_inventory = 1}
)

bucket.register_liquid(
	"nalc_default:sand_source",
	"nalc_default:sand_flowing",
	"nalc_bucket:bucket_sand",
	"bucket_sand.png",
	"Sand Bucket",
	{not_in_creative_inventory = 1}
)

minetest.register_craft(
	{ output = "nalc_bucket:bucket_sand",
	  recipe = {
		  {"group:sand"},
		  {"group:sand"},
		  {"bucket:bucket_water"},
	  },
	})

minetest.register_alias("bucket:acid_source", "nalc_default:acid_source")
minetest.register_alias("bucket:acid_flowing", "nalc_default:acid_flowing")
minetest.register_alias("bucket:bucket_acid", "nalc_bucket:bucket_acid")
minetest.register_alias("bucket_acid", "nalc_bucket:bucket_acid")

minetest.register_alias("bucket:sand_source", "nalc_default:sand_source")
minetest.register_alias("bucket:sand_flowing", "nalc_default:sand_flowing")
minetest.register_alias("bucket:bucket_sand", "nalc_bucket:bucket_sand")

minetest.log("action", "[nalc_bucket] loaded.")
